From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-servers/puma/
Date: Fri, 30 Jul 2021 08:30:11 +0000 (UTC) [thread overview]
Message-ID: <1627633806.6fb45efb56474cfe1ebcd5e17c0113afbe495aa8.graaff@gentoo> (raw)
commit: 6fb45efb56474cfe1ebcd5e17c0113afbe495aa8
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 30 06:50:54 2021 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Jul 30 08:30:06 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6fb45efb
www-servers/puma: add 5.4.0
Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
www-servers/puma/Manifest | 1 +
www-servers/puma/puma-5.4.0.ebuild | 59 ++++++++++++++++++++++++++++++++++++++
2 files changed, 60 insertions(+)
diff --git a/www-servers/puma/Manifest b/www-servers/puma/Manifest
index 5169bd91163..2b692219218 100644
--- a/www-servers/puma/Manifest
+++ b/www-servers/puma/Manifest
@@ -1 +1,2 @@
DIST puma-5.3.2.tar.gz 297673 BLAKE2B e3bfa38347526063587db966d20ea68f32cd88616d89b5f2d9152228d5d420b50c2918e24304c1bc8119af5790a2464f0a055ab92862a56262013ddbba006a1f SHA512 32e80b413184d371d451a35985a371a7655df0f7e81624f2a05e3cf65c2e1b035275a8e25ab03d13c9c1f921ec30cdeb3659e1201baae5940dcb3edcb525ff25
+DIST puma-5.4.0.tar.gz 298525 BLAKE2B d93231582cd83519c258093fd9ac5e2b06398133e82e2d350103e7438a4ed1fd9b36f627739dbbad86e839211850c5387be57d5d114835e7e4d99940e842b128 SHA512 032a507d852c555393f401d4e72c358cf8c49d1c93ff7a559969f3d1f84c0b49180cbcee975bb6fea621d034a00874268ff05ae76f91775cc24089de0b4560da
diff --git a/www-servers/puma/puma-5.4.0.ebuild b/www-servers/puma/puma-5.4.0.ebuild
new file mode 100644
index 00000000000..6c3ebe85ea2
--- /dev/null
+++ b/www-servers/puma/puma-5.4.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_GEMSPEC="puma.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/puma_http11/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/puma
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="a simple, fast, threaded, and highly concurrent HTTP 1.1 server for Ruby/Rack"
+HOMEPAGE="https://puma.io/"
+SRC_URI="https://github.com/puma/puma/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="3"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+DEPEND+=" dev-libs/openssl:0 test? ( net-misc/curl )"
+RDEPEND+=" dev-libs/openssl:0="
+
+ruby_add_bdepend "virtual/ruby-ssl
+ test? ( dev-ruby/rack >=dev-ruby/minitest-5.9:5 >=dev-ruby/test-unit-3.0:2 )"
+
+ruby_add_rdepend "dev-ruby/nio4r:2"
+
+all_ruby_prepare() {
+ sed -e '/bundler/ s:^:#:' \
+ -e '/prove/ s:^:#:' \
+ -e '/stub_const/ s:^:#:' \
+ -i test/helper.rb || die
+
+ # Avoid tests failing inconsistently
+ sed -i -e '/test_bad_client/askip "inconsistent results"' test/test_web_server.rb || die
+
+ # Avoid launcher tests since they make assumptions about bundler use
+ rm -f test/test_launcher.rb test/test_worker_gem_independence.rb || die
+
+ # Skip integration tests since they make a lot of assumptions about
+ # the environment
+ rm -f test/test_integration_* test/test_preserve_bundler_env.rb|| die
+
+ # Avoid test that uses unpackaged stub_const
+ sed -i -e '/test_shutdown_with_grace/,/^ end/ s:^:#:' test/test_thread_pool.rb || die
+
+ sed -e 's/git ls-files --/find/' \
+ -e 's:_relative ": "./:' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ einfo "Running test suite"
+ ${RUBY} -Ilib:.:test -e "gem 'minitest', '~>5.9'; gem 'test-unit', '~>3.0'; require 'minitest/autorun'; Dir['test/**/*test_*.rb'].each{|f| require f}" || die
+}
next reply other threads:[~2021-07-30 8:30 UTC|newest]
Thread overview: 140+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-07-30 8:30 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-01 10:00 [gentoo-commits] repo/gentoo:master commit in: www-servers/puma/ Hans de Graaff
2024-10-23 19:51 Arthur Zamarin
2024-10-23 19:51 Arthur Zamarin
2024-10-06 10:49 Sam James
2024-09-22 5:34 Hans de Graaff
2024-02-28 6:43 Hans de Graaff
2024-01-27 10:35 Hans de Graaff
2023-09-22 5:54 Hans de Graaff
2023-09-18 20:40 Arthur Zamarin
2023-09-18 20:04 Arthur Zamarin
2023-08-19 7:53 Arthur Zamarin
2023-08-18 5:37 Hans de Graaff
2023-06-30 6:09 Hans de Graaff
2023-06-30 6:09 Hans de Graaff
2023-06-10 5:19 Jakov Smolić
2023-06-10 5:19 Jakov Smolić
2023-04-23 6:21 Hans de Graaff
2023-04-23 6:21 Hans de Graaff
2023-04-11 17:52 Jakov Smolić
2023-04-09 2:34 Sam James
2023-04-07 8:39 Sam James
2023-04-07 8:39 Sam James
2023-04-07 8:36 Sam James
2023-04-03 3:17 Sam James
2023-04-03 3:17 Sam James
2023-04-03 3:17 Sam James
2023-04-03 0:47 Sam James
2023-03-27 8:35 Sam James
2023-02-12 8:18 Hans de Graaff
2023-01-02 7:00 Hans de Graaff
2022-12-21 15:56 Arthur Zamarin
2022-12-21 15:56 Arthur Zamarin
2022-12-21 7:34 Hans de Graaff
2022-10-17 5:25 Hans de Graaff
2022-08-24 4:37 Hans de Graaff
2022-06-04 5:47 Hans de Graaff
2022-04-12 17:29 Hans de Graaff
2022-04-12 8:06 Agostino Sarubbo
2022-04-11 6:50 Agostino Sarubbo
2022-03-31 6:15 Hans de Graaff
2022-02-14 14:19 Yixun Lan
2022-02-12 7:30 Hans de Graaff
2022-02-12 7:30 Hans de Graaff
2022-02-05 7:54 Hans de Graaff
2022-02-05 6:57 Hans de Graaff
2022-02-01 7:36 Agostino Sarubbo
2022-02-01 7:30 Agostino Sarubbo
2022-01-28 7:06 Hans de Graaff
2021-12-27 16:01 Arthur Zamarin
2021-12-17 11:50 Arthur Zamarin
2021-12-17 9:02 Arthur Zamarin
2021-12-07 20:44 Arthur Zamarin
2021-11-19 2:08 Sam James
2021-11-17 2:19 Sam James
2021-11-09 20:41 Jakov Smolić
2021-11-08 2:51 Yixun Lan
2021-11-05 7:51 Hans de Graaff
2021-07-12 13:26 Hans de Graaff
2021-06-22 18:19 Sam James
2021-06-06 7:19 Hans de Graaff
2021-06-06 7:16 Agostino Sarubbo
2021-06-06 7:14 Agostino Sarubbo
2021-06-04 8:22 Hans de Graaff
2021-06-04 8:22 Hans de Graaff
2021-05-22 7:03 Hans de Graaff
2021-05-12 6:20 Hans de Graaff
2021-05-10 4:35 Hans de Graaff
2021-05-10 4:35 Hans de Graaff
2021-03-04 6:55 Hans de Graaff
2021-03-04 6:55 Hans de Graaff
2021-02-13 9:51 Hans de Graaff
2021-02-07 6:11 Hans de Graaff
2021-02-04 7:58 Agostino Sarubbo
2021-02-03 23:55 Thomas Deutschmann
2021-02-03 6:45 Hans de Graaff
2020-12-18 9:31 Hans de Graaff
2020-12-18 9:31 Hans de Graaff
2020-11-21 7:49 Hans de Graaff
2020-08-15 5:42 Hans de Graaff
2020-08-13 23:10 Thomas Deutschmann
2020-08-13 19:15 Hans de Graaff
2020-08-12 6:01 Agostino Sarubbo
2020-08-11 11:00 Agostino Sarubbo
2020-07-19 8:30 Hans de Graaff
2020-07-19 8:30 Hans de Graaff
2020-06-03 6:59 Sergei Trofimovich
2020-03-05 8:11 Hans de Graaff
2020-03-02 12:32 Agostino Sarubbo
2020-03-01 13:03 Agostino Sarubbo
2020-02-29 6:57 Hans de Graaff
2020-02-29 6:57 Hans de Graaff
2020-02-29 6:57 Hans de Graaff
2020-02-29 6:00 Hans de Graaff
2020-02-29 6:00 Hans de Graaff
2019-12-14 9:39 Hans de Graaff
2019-12-10 9:46 Agostino Sarubbo
2019-12-09 14:38 Agostino Sarubbo
2019-12-09 5:44 Hans de Graaff
2019-12-09 5:44 Hans de Graaff
2019-11-09 6:11 Hans de Graaff
2019-10-09 5:04 Hans de Graaff
2019-09-29 9:07 Hans de Graaff
2019-07-24 23:16 Aaron Bauman
2019-07-12 5:07 Hans de Graaff
2019-06-26 5:16 Hans de Graaff
2019-04-29 5:32 Hans de Graaff
2019-04-28 20:34 Thomas Deutschmann
2019-04-13 14:10 Mikle Kolyada
2019-03-24 8:35 Hans de Graaff
2018-12-26 11:48 Sergei Trofimovich
2018-12-18 5:58 Hans de Graaff
2018-07-14 5:21 Hans de Graaff
2018-07-14 5:21 Hans de Graaff
2018-07-14 5:21 Hans de Graaff
2018-04-26 4:57 Hans de Graaff
2018-04-26 4:57 Hans de Graaff
2018-04-14 6:48 Hans de Graaff
2018-03-25 12:41 Sergei Trofimovich
2018-03-25 12:41 Sergei Trofimovich
2018-03-25 12:41 Sergei Trofimovich
2018-03-06 6:25 Hans de Graaff
2018-02-07 5:52 Thomas Deutschmann
2018-01-22 6:44 Hans de Graaff
2018-01-14 8:15 Hans de Graaff
2018-01-14 8:15 Hans de Graaff
2017-11-21 5:42 Hans de Graaff
2017-11-21 5:42 Hans de Graaff
2017-08-18 6:11 Hans de Graaff
2017-08-18 6:11 Hans de Graaff
2017-07-24 17:51 Markus Meier
2017-07-12 12:13 Alexis Ballier
2017-07-08 9:54 Hans de Graaff
2016-12-06 5:38 Hans de Graaff
2016-12-06 5:38 Hans de Graaff
2016-11-22 6:25 Hans de Graaff
2016-08-20 7:23 Hans de Graaff
2016-08-20 7:23 Hans de Graaff
2016-03-18 6:38 Hans de Graaff
2016-03-13 7:48 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1627633806.6fb45efb56474cfe1ebcd5e17c0113afbe495aa8.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox